
Smart Proxy - Bug #2119

ignored valid puppet modulepath if first configured directory does not exist

01/08/2013 03:08 PM - Kevin Cormier

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Puppet   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In my master section of my puppet.conf I have the following modulepath:

modulepath = $confdir/environments/$environment/puppet_modules:/home/$environment/puppet_modules

For my personal testing environment (kcormier) I keep all of my modules under /home/kcormier/puppet_modules. 

/etc/puppet/environments/kcormier/puppet_modules does not exist.  Neither does the parent directory

/etc/puppet/environments/kcormier.  Puppet works fine however foreman fails to import my classes and thinks the environment does

not exist.  If I create /etc/puppet/environments/kcormier, foreman will load my classes correctly.  Just to note,

/etc/puppet/environments/kcormier/puppet_modules still DOES NOT exist, however it's parent directory does.

This was found with foreman-proxy 1.1rc1 from the foreman-1.1.rc4 rpms running on centos 6.3 fully patched.

Associated revisions

Revision 722bba2d - 05/28/2013 02:05 PM - Greg Sutcliffe 

Fixes #2119 - Properly support colon-separated modulepath

Revision d603c3c9 - 05/29/2013 11:30 AM - Greg Sutcliffe 

Fixes #2119 - Properly support colon-separated modulepath

(cherry picked from commit 722bba2d153d021827d7a1b6eb32748d0ceb7f86)

History

#1 - 01/09/2013 11:00 PM - Sam Kottler

- Target version set to 26

I can reproduce this. Thanks for the report @Kevin Cormier!

#2 - 05/10/2013 09:07 AM - Dominic Cleal

- Target version changed from 26 to 1.2.0

#3 - 05/13/2013 05:47 AM - Greg Sutcliffe

- Assignee set to Greg Sutcliffe

#4 - 05/13/2013 06:12 AM - Greg Sutcliffe

- Status changed from New to Ready For Testing

#5 - 05/28/2013 02:18 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 722bba2d153d021827d7a1b6eb32748d0ceb7f86.
https://projects.theforeman.org/users/3694
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/722bba2d153d021827d7a1b6eb32748d0ceb7f86


#6 - 07/10/2018 02:45 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
